Package list kaccounts-integration / 9166696 debian / changelog
9166696

Tree @9166696 (Download .tar.gz)

changelog @9166696raw · history · blame

kaccounts-integration (4:20.12.0-1) UNRELEASED; urgency=medium

  * New upstream release (20.12.0).
  * Update symblos file for libkaccounts2.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 31 Dec 2020 09:55:53 +0100

kaccounts-integration (4:20.08.3-3) unstable; urgency=medium

  * Team upload.
  * Fix merge issues in previous upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Nov 2020 17:37:43 +0100

kaccounts-integration (4:20.08.3-2) unstable; urgency=medium

  * Team upload.
  * Re-upload based on the correct salsa master branch.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 00:34:53 +0100

kaccounts-integration (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.3).
  * Build with hardening=+all build hardening flag.
  * Refresh copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Nov 2020 23:54:38 +0100

kaccounts-integration (4:20.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add missing runtime dependency to qml-module-org-kde-kaccounts.
    (Closes: #849978)
  * Drop l10n and dbgsym transition rules not required anymore after 2 stable
    releases.
  * Remove useless ${shlibs:Depends} from libkaccounts-dev.
  * Remove Breaks / Replaces against long gone versions.

  [ Pino Toscano ]
  * New upstream release.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 18:37:23 +0200

kaccounts-integration (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Add libaccounts-glib-dev, and pkg-config as dependencies of
    libkaccounts-dev, as they are required by the cmake config files.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 21:52:57 +0200

kaccounts-integration (4:20.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries to salsa.

  [ Jelmer Vernooij ]
  * Use secure copyright file specification URI.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Switch to debhelper-compat 13.
  * Synchronise build-deps with upstream CMakeLists.txt.
  * Update libkaccounts1.install to use foo.so.*.* to automatically catch
    version changes.  Libkaccounts.so.1 remains explicit to help detect ABI
    breaks.
  * Update kaccounts-integration.install for new plugin location.
  * Update watch file to use the new upstream release-service, because the
    old method can't find 20.04.0.  Thanks to Norbert Preining.
  * Declare Standards-Version 4.5.0 (no changes required).

  [ Pino Toscano ]
  * New upstream development release 20.07.90, close enough to the upcoming
    20.08.0.
  * Rename libkaccounts1 to libkaccounts2 according to the upstream SONAME
    bump. (Closes: #962780)
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop unused files.
  * Update symbols file. (Closes: #957391)
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Add Rules-Requires-Root: no.
  * Remove the dh_auto_test override, as there are no tests anyway
    - drop the xauth, and xvfb build dependencies, no more needed now
  * Update install files.
  * Explicitly add the gettext build dependency.
  * Fix Multi-arch misspelling.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 10:07:06 +0200

kaccounts-integration (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused debian/meta/cmake-ignore file.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 15:46:53 +0100

kaccounts-integration (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Drop "deprecated" list missing
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:58:58 +0200

kaccounts-integration (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:56 +0000

kaccounts-integration (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:27 +0000

kaccounts-integration (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:22 +0000

kaccounts-integration (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:27 +0000

kaccounts-integration (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:51 +0000

kaccounts-integration (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:45 +0000

kaccounts-integration (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:13 +0000

kaccounts-integration (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:48 +0000

kaccounts-integration (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:56 +0000

kaccounts-integration (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:44 +0000

kaccounts-integration (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:44 +0000

kaccounts-integration (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:36 +0000

kaccounts-integration (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:37 +0000

kaccounts-integration (16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:31 +0100

kaccounts-integration (16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:04:42 +0200

kaccounts-integration (16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 09:39:04 +0200

kaccounts-integration (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add pkg-config build dependency
  * Add new build dependency libaccounts-glib-dev
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 10:50:11 +0200

kaccounts-integration (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release.
  * Add libkf5declarative-dev to Build-Depends.
  * New upstream release (15.12.1).

  [ Diane Trout ]
  * Update vcs urls to use secure urls.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:41 +0100

kaccounts-integration (15.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Change my email address back
  * Update symbols file with new symbols.

 -- Diane Trout <diane@ghic.org>  Fri, 04 Dec 2015 10:55:04 -0800

kaccounts-integration (15.08.1-1) unstable; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).

  [ Diane Trout ]
  * New upstream release (15.04.3).
  * Add support for running unit tests.
    - add xauth and xvfb to Build-Depends.
    - override_dh_auto_test to manually run ctest
      because the test kaccounts-testnetattachjobs
      configures kwallet which opens up a GUI for
      configuring, and unlocking the wallet.
      The "cd obj-*" to change to the build directory
      should be fixed.
  * Update libkaccounts1.install for new library filename
  * Add KDE's unstable release url.
  * New upstream release (15.08.0).
  * New upstream release (15.08.1).
  * Add qtdeclarative5-dev to build-dependes
  * Add myself to uploaders
  * Add qml-module-org-kde-kaccounts package.
  * Add libaccounts-qt5-dev, libkf5coreaddons-dev, libsignonq-qt5-dev
    dependencies to libkaccounts-dev.
  * Add signon-plugin-password and signon-ui-x11 dependencies to
    kaccounts-integration. (To match kubuntu)
  * Add --list-missing to dh_install to make sure everything installed.

 -- Diane Trout <diane@debian.org>  Sun, 20 Sep 2015 22:21:04 -0700